GNU bug report logs - #50269
27.2; Request: use GTK continuous scroll events for smooth touchpad scrolling

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Alexander Huntley <huntley.alexander@HIDDEN>; dated Mon, 30 Aug 2021 14:57:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 50269 <at> debbugs.gnu.org:


Received: (at 50269) by debbugs.gnu.org; 1 Sep 2021 13:49:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 01 09:49:58 2021
Received: from localhost ([127.0.0.1]:36712 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLQco-0007FJ-4r
	for submit <at> debbugs.gnu.org; Wed, 01 Sep 2021 09:49:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38664)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mLQcm-0007F4-ES
 for 50269 <at> debbugs.gnu.org; Wed, 01 Sep 2021 09:49:56 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49734)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mLQch-00061Y-6C; Wed, 01 Sep 2021 09:49:51 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3492
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mLQcf-0002DP-DU; Wed, 01 Sep 2021 09:49:50 -0400
Date: Wed, 01 Sep 2021 16:49:39 +0300
Message-Id: <83a6kwqubw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alexander Huntley <huntley.alexander@HIDDEN>
In-Reply-To: <81dc0bde-146d-d2f2-9098-35918dc1e565@HIDDEN> (message from
 Alexander Huntley on Wed, 1 Sep 2021 13:57:46 +0100)
Subject: Re: bug#50269: 27.2; Request: use GTK continuous scroll events for
 smooth touchpad scrolling
References: <c941a5a7-59d8-ad89-d9ae-aec42e331416@HIDDEN>
 <83ilznj57n.fsf@HIDDEN> <c74b433d-7ae5-4d1d-06ad-822bacc8a64a@HIDDEN>
 <83a6kykc7p.fsf@HIDDEN> <58354f61-70c9-0098-226b-cd086efea1f5@HIDDEN>
 <837dg2kanc.fsf@HIDDEN> <1df288ac-476b-eee0-88bf-482736ac0823@HIDDEN>
 <83fsupu7ui.fsf@HIDDEN> <87y28hing6.fsf@HIDDEN> <83a6kxsh4p.fsf@HIDDEN>
 <81dc0bde-146d-d2f2-9098-35918dc1e565@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50269
Cc: 50269 <at> debbugs.gnu.org, kevin.legouguec@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Alexander Huntley <huntley.alexander@HIDDEN>
> Cc: Kévin Le Gouguec <kevin.legouguec@HIDDEN>,
>  50269 <at> debbugs.gnu.org
> Date: Wed, 1 Sep 2021 13:57:46 +0100
> 
> > So if pixel-resolution-fine-flag is set, the behavior is the expected
> > one, and we can conclude that Emacs passes this test?
> 
> If the flag is set to 1, then yes the scrolling works as desired, but only
> when scrolling with the touchpad slowly (although perhaps it is scrolling
> by 2 or 3 pixels instead of only 1).

That's good to hear, thanks.

> When scrolling quickly, Emacs scrolls abruptly by many lines at a
> time, which is not what we want. I'm sure this is possible to disable.

I'm guessing that the touchpad has some customization control, which
could control how it reports fast scrolling to applications.  Emacs
has similar controls in the variables mouse-wheel-scroll-amount and
mouse-wheel-progressive-speed.  I suggest to try playing with these
Emacs options and perhaps also with your touchpad controls, and try to
find the configuration that supports fast scrolling as well.

> IMO the best way to solve this would be to use GTK scrolling events. They
> give the correct magnitude of the scroll event (which in touchpads is
> variable and much smaller than for mouse wheels). Hence Emacs would not
> have to distinguish between mouse vs touchpad scrolling; it would all
> be handled by GTK.

AFAIU, this can only be possible in the upcoming PGTK configuration of
Emacs, if at all.  But I urge you to try customizing the options I
mentioned above, because perhaps you could have what you want much
sooner and easier than by waiting for PGTK to hit the streets.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50269; Package emacs. Full text available.

Message received at 50269 <at> debbugs.gnu.org:


Received: (at 50269) by debbugs.gnu.org; 1 Sep 2021 12:58:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 01 08:58:00 2021
Received: from localhost ([127.0.0.1]:36636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLPoW-0005uh-Lb
	for submit <at> debbugs.gnu.org; Wed, 01 Sep 2021 08:58:00 -0400
Received: from mail-wr1-f54.google.com ([209.85.221.54]:37482)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <huntley.alexander@HIDDEN>) id 1mLPoV-0005uT-Ef
 for 50269 <at> debbugs.gnu.org; Wed, 01 Sep 2021 08:57:59 -0400
Received: by mail-wr1-f54.google.com with SMTP id v10so4374813wrd.4
 for <50269 <at> debbugs.gnu.org>; Wed, 01 Sep 2021 05:57:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=subject:to:references:from:cc:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding:content-language;
 bh=Q/GIBb6DqK4qb9yWRZo1z8B6ysWeKDRQbl8QckE1UL0=;
 b=g99r2L2WroiUE5V3wr1JInAc8InaOPpTbgNg94PYlDHrV3b1Ln19EdxGQV+rh6fVAT
 s7A070h0z1I3tSeqiOrPIf7MNMSdngwlncAYrf9vb40wCS1+zUxd0ISqL/Rl87/pQFsX
 sthlBvVB7TxDJn1qE5Tw/iXVQ7nG4dDOYHHqj61Om8UhCETHUIyjKYfGUPouF4GaFrnF
 W6ds31fhFSTWCBAmzHDpHWlNyPSf4O6alyAIyPKo8dn5rDRs1lN7seXo+uFr8EizAykw
 wgmiDe1soyoZXnc7PHZAA4WhB4o/11XGluAZLsKlxzLtqYkriVQW29a9hDGkoIBa4FiT
 Ng6w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:cc:message-id:date
 :user-agent:mime-version:in-reply-to:content-transfer-encoding
 :content-language;
 bh=Q/GIBb6DqK4qb9yWRZo1z8B6ysWeKDRQbl8QckE1UL0=;
 b=N0qLAcMdO/EO2bUnxmfqRQb+spHb8cyKSPNKVPaP/vSSMy4CmEQWCUT0ab402rApuN
 Cujk76vZk7sNW8YMzhX+ZFnfoi89Gwk/vBlbJ+sKIi2j+NXAaeUyEknXcbsGc7aQRk90
 +lG8a2siCcbUaIvqPGDkq6wWZXeizqkZZR7d9RpsCifhAXp3hf9T+d5sACq9zAjoq6sX
 Blcm31ioUGpnvmnXBTPz23vJRtw3hwy7gqionnc6P4ShpIs9lHfR6RDhGq76+ctvUnpR
 AQAJvrdeSZ91dWa3IfPgm+RloYgkIfnSc5v/Jk+TmbPf7weiJIAUkD1G57gZeSphmA3r
 LqQA==
X-Gm-Message-State: AOAM530euD/7I031bqOgP1k5/qlijBaGkJmfEMwdgpiARLheAvQB/tjV
 xnX60NLzlXVhvgUN4/z/dd4YlSOtXjAAYTrl
X-Google-Smtp-Source: ABdhPJwP5j0E2MML8NftObxWezvUbhavWOPgyopvNWF2a9L3OnOHp75MaEXECbRhE+cShdyAYqceFA==
X-Received: by 2002:adf:9f4d:: with SMTP id f13mr18608393wrg.169.1630501073220; 
 Wed, 01 Sep 2021 05:57:53 -0700 (PDT)
Received: from ?IPv6:2a00:23c6:1c03:8200:59a:fc7b:71d1:dfd7?
 ([2a00:23c6:1c03:8200:59a:fc7b:71d1:dfd7])
 by smtp.gmail.com with ESMTPSA id v5sm22208807wru.37.2021.09.01.05.57.52
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 01 Sep 2021 05:57:52 -0700 (PDT)
Subject: Re: bug#50269: 27.2; Request: use GTK continuous scroll events for
 smooth touchpad scrolling
To: Eli Zaretskii <eliz@HIDDEN>
References: <c941a5a7-59d8-ad89-d9ae-aec42e331416@HIDDEN>
 <83ilznj57n.fsf@HIDDEN> <c74b433d-7ae5-4d1d-06ad-822bacc8a64a@HIDDEN>
 <83a6kykc7p.fsf@HIDDEN> <58354f61-70c9-0098-226b-cd086efea1f5@HIDDEN>
 <837dg2kanc.fsf@HIDDEN> <1df288ac-476b-eee0-88bf-482736ac0823@HIDDEN>
 <83fsupu7ui.fsf@HIDDEN> <87y28hing6.fsf@HIDDEN> <83a6kxsh4p.fsf@HIDDEN>
From: Alexander Huntley <huntley.alexander@HIDDEN>
Message-ID: <81dc0bde-146d-d2f2-9098-35918dc1e565@HIDDEN>
Date: Wed, 1 Sep 2021 13:57:46 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.10.1
MIME-Version: 1.0
In-Reply-To: <83a6kxsh4p.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 50269
Cc: 50269 <at> debbugs.gnu.org,
 =?UTF-8?Q?K=c3=a9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

>> With pixel-scroll-mode on, when pixel-resolution-fine-flag is nil (the
>> default), I cannot get Emacs to scroll up by "just a few pixels",
>> however small my movement on the touchpad.  Emacs always waits for
>> "enough movement" to scroll up a complete line, although the *animation*
>> is indeed done pixel-by-pixel (as opposed to line-by-line when
>> pixel-scroll-mode is off).
>>
>> On e.g. Mousepad (XFCE's text editor), if I move "just a bit" on the
>> touchpad, the display moves by "just a few pixels", i.e. less than a
>> full line.  FWIW setting pixel-resolution-fine-flag to 1 seems to allow
>> Emacs to do the same.
> So if pixel-resolution-fine-flag is set, the behavior is the expected
> one, and we can conclude that Emacs passes this test?

If the flag is set to 1, then yes the scrolling works as desired, but only
when scrolling with the touchpad slowly (although perhaps it is scrolling
by 2 or 3 pixels instead of only 1).

When scrolling quickly, Emacs scrolls abruptly by many lines at a
time, which is not what we want. I'm sure this is possible to disable.

But now scrolling with a mouse wheel also only causes the view to shift by
1 pixel per "wheel click".

IMO the best way to solve this would be to use GTK scrolling events. They
give the correct magnitude of the scroll event (which in touchpads is
variable and much smaller than for mouse wheels). Hence Emacs would not
have to distinguish between mouse vs touchpad scrolling; it would all
be handled by GTK.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50269; Package emacs. Full text available.

Message received at 50269 <at> debbugs.gnu.org:


Received: (at 50269) by debbugs.gnu.org; 31 Aug 2021 16:39:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 31 12:39:55 2021
Received: from localhost ([127.0.0.1]:35312 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mL6nf-0007XO-Ei
	for submit <at> debbugs.gnu.org; Tue, 31 Aug 2021 12:39:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57718)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mL6na-0007X7-Ee
 for 50269 <at> debbugs.gnu.org; Tue, 31 Aug 2021 12:39:50 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44994)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mL6nT-0004ie-UQ; Tue, 31 Aug 2021 12:39:39 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4709
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mL6nT-0002tD-8d; Tue, 31 Aug 2021 12:39:39 -0400
Date: Tue, 31 Aug 2021 19:39:34 +0300
Message-Id: <83a6kxsh4p.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?iso-8859-1?Q?K=E9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
In-Reply-To: <87y28hing6.fsf@HIDDEN> (message from =?iso-8859-1?Q?K=E9v?=
 =?iso-8859-1?Q?in?= Le Gouguec on Tue, 31 Aug 2021 18:33:13 +0200)
Subject: Re: bug#50269: 27.2; Request: use GTK continuous scroll events for
 smooth touchpad scrolling
References: <c941a5a7-59d8-ad89-d9ae-aec42e331416@HIDDEN>
 <83ilznj57n.fsf@HIDDEN>
 <c74b433d-7ae5-4d1d-06ad-822bacc8a64a@HIDDEN>
 <83a6kykc7p.fsf@HIDDEN>
 <58354f61-70c9-0098-226b-cd086efea1f5@HIDDEN>
 <837dg2kanc.fsf@HIDDEN>
 <1df288ac-476b-eee0-88bf-482736ac0823@HIDDEN>
 <83fsupu7ui.fsf@HIDDEN> <87y28hing6.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50269
Cc: 50269 <at> debbugs.gnu.org, huntley.alexander@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Kvin Le Gouguec <kevin.legouguec@HIDDEN>
> Cc: Alexander Huntley <huntley.alexander@HIDDEN>,  50269 <at> debbugs.gnu.org
> Date: Tue, 31 Aug 2021 18:33:13 +0200
> 
> With pixel-scroll-mode on, when pixel-resolution-fine-flag is nil (the
> default), I cannot get Emacs to scroll up by "just a few pixels",
> however small my movement on the touchpad.  Emacs always waits for
> "enough movement" to scroll up a complete line, although the *animation*
> is indeed done pixel-by-pixel (as opposed to line-by-line when
> pixel-scroll-mode is off).
> 
> On e.g. Mousepad (XFCE's text editor), if I move "just a bit" on the
> touchpad, the display moves by "just a few pixels", i.e. less than a
> full line.  FWIW setting pixel-resolution-fine-flag to 1 seems to allow
> Emacs to do the same.

So if pixel-resolution-fine-flag is set, the behavior is the expected
one, and we can conclude that Emacs passes this test?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50269; Package emacs. Full text available.

Message received at 50269 <at> debbugs.gnu.org:


Received: (at 50269) by debbugs.gnu.org; 31 Aug 2021 16:33:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 31 12:33:25 2021
Received: from localhost ([127.0.0.1]:35301 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mL6hR-0007NF-FB
	for submit <at> debbugs.gnu.org; Tue, 31 Aug 2021 12:33:25 -0400
Received: from mail-wm1-f41.google.com ([209.85.128.41]:45884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1mL6hN-0007Mo-LY
 for 50269 <at> debbugs.gnu.org; Tue, 31 Aug 2021 12:33:23 -0400
Received: by mail-wm1-f41.google.com with SMTP id
 j17-20020a05600c1c1100b002e754875260so3028103wms.4
 for <50269 <at> debbugs.gnu.org>; Tue, 31 Aug 2021 09:33:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=UT2KNfxOfqd8kuUXnM/L+XRlXMY0eFWI2ERnUz68bGk=;
 b=NEGhS5HTr9OB5+V8iChEnu2FBnHiS9sZhTPoQ01kTLZjNiz0uSQIFrivaKzbjTvQAs
 nznxnbcMsHhw5lbAmX2bN4BZUT4wikNGn4X70A5mi8LCAy3Kdb9PHMSwVlpPHf2cmEyC
 o2IVFdWmPvTfUbxebmwMnT+eDgehw9REhp30wH0mxR/58wGnbxEQFXGI1luuD3VpMMoH
 tWgDPhEULBG+/tnFKlhmF+qqZfvGTPbAqrg/zky1mKJcKAHwZ80NJzCiNDC5LgSkp0Y8
 i3p1imq4xWTEZi3LfixwaN2ZhkRiCRzmfW+UspCzKK0EZqdSDaH+Iusx+AJ11OGMs/2/
 rkyA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=UT2KNfxOfqd8kuUXnM/L+XRlXMY0eFWI2ERnUz68bGk=;
 b=s9ilu25C0DGRQL//J5xNRQPE4a2FVO7k92qe8nBdQgvR/LkHaAJVrWACVc4Umfh8+L
 PwlvHF9wiUAwNWioUhosIWQiHgnfl9yRbnc5+wG7eL3UeIAyd6MKjEn38mq+yIDW6fyl
 sXD2m+p3bKTJi0IAkc/gpJQYFht+2KrnJQfwGTSPmOfi22hBtkrd9ICewfYfXWXsc5Ea
 ifxeKdEDRTMVYqKuTW2KvvOZjTY64yitLqAsT2//N2A9DqEPamVISzOfVxzyoLT17Wmy
 i+x4Er6+hH0qL18f33Y/Pyx6SYB/TdmtIgSnoXau6xoiUW8BPa+KrzB0ontzLAr8LNcW
 JPDg==
X-Gm-Message-State: AOAM53164swDR7sCz/MnNxcHDyBcbR6HVkC148vuyJ0DxUaE60hGGSNj
 FJB9y+O6Gv78eoYblLoTVww2RbidTik=
X-Google-Smtp-Source: ABdhPJy5MIfqpgb78OahlfQwiwalKGg1sBaJWHkbIi5b1wuHydsPLGq/w1mv4q/QF9wrzUOJN7BglA==
X-Received: by 2002:a7b:cc07:: with SMTP id f7mr5124691wmh.145.1630427595239; 
 Tue, 31 Aug 2021 09:33:15 -0700 (PDT)
Received: from amdahl30 ([2a01:e0a:20e:d340:2ef0:5dff:fed2:7b49])
 by smtp.gmail.com with ESMTPSA id n14sm18410375wrx.10.2021.08.31.09.33.14
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 31 Aug 2021 09:33:14 -0700 (PDT)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50269: 27.2; Request: use GTK continuous scroll events for
 smooth touchpad scrolling
References: <c941a5a7-59d8-ad89-d9ae-aec42e331416@HIDDEN>
 <83ilznj57n.fsf@HIDDEN>
 <c74b433d-7ae5-4d1d-06ad-822bacc8a64a@HIDDEN>
 <83a6kykc7p.fsf@HIDDEN>
 <58354f61-70c9-0098-226b-cd086efea1f5@HIDDEN>
 <837dg2kanc.fsf@HIDDEN>
 <1df288ac-476b-eee0-88bf-482736ac0823@HIDDEN>
 <83fsupu7ui.fsf@HIDDEN>
Date: Tue, 31 Aug 2021 18:33:13 +0200
In-Reply-To: <83fsupu7ui.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 31 Aug
 2021 15:17:09 +0300")
Message-ID: <87y28hing6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50269
Cc: 50269 <at> debbugs.gnu.org, Alexander Huntley <huntley.alexander@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Alexander Huntley <huntley.alexander@HIDDEN>
>> Cc: 50269 <at> debbugs.gnu.org
>> Date: Mon, 30 Aug 2021 22:26:45 +0100
>> 
>> pixel-scroll-mode may shift the display one pixel at a time, but it
>> also "snaps" the display to certain larger intervals, (integer numbers
>> of lines).
>
> I don't think I follow: what is this "snapping" you are alluding to
> here?  Can you tell me how to reproduce this snapping, so I could
> understand better the problem you have in mind?

With pixel-scroll-mode on, when pixel-resolution-fine-flag is nil (the
default), I cannot get Emacs to scroll up by "just a few pixels",
however small my movement on the touchpad.  Emacs always waits for
"enough movement" to scroll up a complete line, although the *animation*
is indeed done pixel-by-pixel (as opposed to line-by-line when
pixel-scroll-mode is off).

On e.g. Mousepad (XFCE's text editor), if I move "just a bit" on the
touchpad, the display moves by "just a few pixels", i.e. less than a
full line.  FWIW setting pixel-resolution-fine-flag to 1 seems to allow
Emacs to do the same.

(I hope I understood Alexander's problem correctly; apologies for the
noise if not)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50269; Package emacs. Full text available.

Message received at 50269 <at> debbugs.gnu.org:


Received: (at 50269) by debbugs.gnu.org; 31 Aug 2021 12:17:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 31 08:17:25 2021
Received: from localhost ([127.0.0.1]:33231 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mL2hh-0008UE-2L
	for submit <at> debbugs.gnu.org; Tue, 31 Aug 2021 08:17:25 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44276)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mL2hf-0008U0-Dt
 for 50269 <at> debbugs.gnu.org; Tue, 31 Aug 2021 08:17:23 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60942)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mL2ha-0005nW-7z; Tue, 31 Aug 2021 08:17:18 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4063
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mL2hZ-0007Oq-OK; Tue, 31 Aug 2021 08:17:18 -0400
Date: Tue, 31 Aug 2021 15:17:09 +0300
Message-Id: <83fsupu7ui.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alexander Huntley <huntley.alexander@HIDDEN>
In-Reply-To: <1df288ac-476b-eee0-88bf-482736ac0823@HIDDEN> (message from
 Alexander Huntley on Mon, 30 Aug 2021 22:26:45 +0100)
Subject: Re: bug#50269: 27.2; Request: use GTK continuous scroll events for
 smooth touchpad scrolling
References: <c941a5a7-59d8-ad89-d9ae-aec42e331416@HIDDEN>
 <83ilznj57n.fsf@HIDDEN> <c74b433d-7ae5-4d1d-06ad-822bacc8a64a@HIDDEN>
 <83a6kykc7p.fsf@HIDDEN> <58354f61-70c9-0098-226b-cd086efea1f5@HIDDEN>
 <837dg2kanc.fsf@HIDDEN> <1df288ac-476b-eee0-88bf-482736ac0823@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50269
Cc: 50269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Alexander Huntley <huntley.alexander@HIDDEN>
> Cc: 50269 <at> debbugs.gnu.org
> Date: Mon, 30 Aug 2021 22:26:45 +0100
> 
> pixel-scroll-mode may shift the display one pixel at a time, but it
> also "snaps" the display to certain larger intervals, (integer numbers
> of lines).

I don't think I follow: what is this "snapping" you are alluding to
here?  Can you tell me how to reproduce this snapping, so I could
understand better the problem you have in mind?

> If we could use the more precise/frequent data actually coming from
> the touchpad, then the user could control the scrolling more precisely:
> instead of scrolling by n lines, the user could scroll by as little
> as a single pixel at a time.

The scrolling, whether pixel-wise or not, is performed by the Emacs
display engine; the scroll commands themselves just tell the display
engine where in buffer text to start the display of a window, and with
what "shifting offset" in pixels to display that text.  So I don't see
how using some different/more precise data will help, if all that data
tells Emacs is by how many pixels to scroll, because the actual
scrolling will still be performed by the same display engine.  If the
display engine is unable to scroll smoothly, for some reason, using
different data source to compute how many pixels to scroll will not
help.

So we must first understand what is wrong with pixel-scroll-mode,
because all it does with the "normal" (a.k.a. "imprecise") scroll
commands coming from the touchpad is compute how many pixels to
scroll, and the default is AFAIR to scroll a small number of pixels
per wheel notch (you can customize it to make it exactly 1 pixel).

Therefore, I hope you could help us understand what is wrong with the
pixel-wise scrolling in the display engine, as it is used by
pixel-scroll-mode.  TIA.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50269; Package emacs. Full text available.

Message received at 50269 <at> debbugs.gnu.org:


Received: (at 50269) by debbugs.gnu.org; 30 Aug 2021 22:22:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 18:22:32 2021
Received: from localhost ([127.0.0.1]:60556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKpfg-0003Zu-VG
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 18:22:32 -0400
Received: from outbound.soverin.net ([116.202.126.228]:48905)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1mKpfa-0003ZY-Vn
 for 50269 <at> debbugs.gnu.org; Mon, 30 Aug 2021 18:22:27 -0400
Received: from smtp.soverin.net (unknown [10.10.3.24])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id 170B6292;
 Mon, 30 Aug 2021 22:22:16 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.138]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1630362135; bh=JY7RBJCrJVTZ/S4nFkRVUw0FQhulzOFB6n5hL3vwdLQ=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=RG+oKOG48CKiZRG2QhtXwAEIxhGJcd1t7E5CNrdWgILS97OPIMnOV3X33DfKLN34K
 4qsGyzCHlKPEpj0BVlqn8ab2IUvDUXR2j1p0wA61TVX9d3wb2YzJhvUVi4Dgrm07bq
 mpnZCTDxcd24s9mFUc/Ul77ur307Tg1vPZ1xmhVSK8EtKpnCcc9TUo9Mbclyo/kWJA
 lD4Jrww0aDMTp8wQr6XY0zwHwbCkJa0ONNURD0QvgR1H+BPdV1JRaLReFtagPmmbin
 6F1qWarkIBY2fI5JR1uYvAiJXryH3RVgSejWjAY5W3hzLUlAa3plisML3z8ykxnlxc
 bGnDYrx2Cv3Fg==
Received: from alan by faroe.holly.idiocy.org with local (Exim 4.94.2)
 (envelope-from <alan@HIDDEN>)
 id 1mKpfQ-0016e5-3b; Mon, 30 Aug 2021 23:22:12 +0100
Date: Mon, 30 Aug 2021 23:22:12 +0100
From: Alan Third <alan@HIDDEN>
To: Alexander Huntley <huntley.alexander@HIDDEN>
Subject: Re: bug#50269: 27.2; Request: use GTK continuous scroll events for
 smooth touchpad scrolling
Message-ID: <YS1aFO+hAsO2Lvoh@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Alexander Huntley <huntley.alexander@HIDDEN>,
 50269 <at> debbugs.gnu.org
References: <c941a5a7-59d8-ad89-d9ae-aec42e331416@HIDDEN>
 <YS0xX3MH0xUD0O/o@HIDDEN>
 <a7c632d9-2c2f-d437-4df5-96d036e11a6f@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <a7c632d9-2c2f-d437-4df5-96d036e11a6f@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50269
Cc: 50269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Mon, Aug 30, 2021 at 10:36:37PM +0100, Alexander Huntley wrote:
> 
> > It's not practical to do in the current X/GTK terminal code. Emacs
> > doesn't actually use the GTK event system, so it would have to be
> > added from scratch.
> > 
> > Once PGTK is merged it should be able to provide this sort of thing
> > much more easily.
> Sounds promising! Is there any idea when that will happen?

I believe the hope is it have it in for Emacs 28, but I don't actually
know how that's going.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50269; Package emacs. Full text available.

Message received at 50269 <at> debbugs.gnu.org:


Received: (at 50269) by debbugs.gnu.org; 30 Aug 2021 21:36:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 17:36:47 2021
Received: from localhost ([127.0.0.1]:60527 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKoxT-00008f-24
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 17:36:47 -0400
Received: from mail-wm1-f45.google.com ([209.85.128.45]:50848)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <huntley.alexander@HIDDEN>) id 1mKoxQ-00008R-CB
 for 50269 <at> debbugs.gnu.org; Mon, 30 Aug 2021 17:36:45 -0400
Received: by mail-wm1-f45.google.com with SMTP id m2so9753315wmm.0
 for <50269 <at> debbugs.gnu.org>; Mon, 30 Aug 2021 14:36:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding:content-language;
 bh=Ml07NP9Oeeu/7AUAIlgTL3s1QYG9eU5F7WmI1oKdmi8=;
 b=qUeqDfMfHfnfr2hglL0ou7/r5+OLycYBCd2jcXfouxZawfXctQkdKYBb6TyqlsIYey
 KlQU3y4fyvWA5MynZWsknhejz/BzXFGF2c2jLcltqMhgj16TPfCid0l7VIgTKGkNwt/N
 1zVNu3GWKnRgUjePrE9IXBNYVkadpFH9lrlyk/yqFMzynoBvjuLAV+7SXJ6XkiHFv2uE
 gpuo0efNqpLLnh05JbO+TdLmakAN9gzyDEevDYlfIn949axaCe6Yemc18tnPZAzDE1rG
 /hjjiOru8NxsvcPedkNrqqXOlc+gFaJylkcd9QNoFbsIErLhVT5DiJvoiiLSWPM77Qnx
 hmaQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:cc:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-transfer-encoding
 :content-language;
 bh=Ml07NP9Oeeu/7AUAIlgTL3s1QYG9eU5F7WmI1oKdmi8=;
 b=lQCNd6t1+dOJI9rvOoUH67AV8y118asic04IRSrV0r+hpIQmlGhmI1iXxySjCXd1sZ
 RZyEckOhg6ZmAXMmJNJC2Bdp1DItcECMIZmY/9UXELs0U1N2VB4u20Xn7cFb3cOVqtEb
 4QSUvl3OnW/Pb45Lmmg9ZIT71DcI6KzicJY1hEh5YQ+AnmAWMEVRXksmni7wra2eSqIs
 cxgb1VASTmyNI1epME2ElHxWK5Cwo5qycX0+UtIPMZOUdm5p5J4o2IhqEgL/q1c4fabL
 MHdMq8KVd7AcSXGneFySoBn//di71m7qK9phycns95Cnaq6rUYBlWXc+Y+ZeMEVU87vL
 LXFA==
X-Gm-Message-State: AOAM533qboL9cjCHlaPe+Kb2b5IFFLpgEkr2BdyrA+etEBr1Xd5qa4KK
 iEigdUXPCj1ZESzkjbhzZ15PLJeY1Xn1TRwQ
X-Google-Smtp-Source: ABdhPJzXVtOO+jaBQZBvTxJFbTOlDf2+I+xlGno1ZVeUEXL2CT7SnXI9LC2uNu5UhtPGoMQ0iEUeMQ==
X-Received: by 2002:a05:600c:2f90:: with SMTP id
 t16mr1012632wmn.136.1630359398331; 
 Mon, 30 Aug 2021 14:36:38 -0700 (PDT)
Received: from ?IPv6:2a00:23c6:1c03:8200:59a:fc7b:71d1:dfd7?
 ([2a00:23c6:1c03:8200:59a:fc7b:71d1:dfd7])
 by smtp.gmail.com with ESMTPSA id l21sm595182wmh.31.2021.08.30.14.36.37
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 30 Aug 2021 14:36:38 -0700 (PDT)
Subject: Re: bug#50269: 27.2; Request: use GTK continuous scroll events for
 smooth touchpad scrolling
To: Alan Third <alan@HIDDEN>
References: <c941a5a7-59d8-ad89-d9ae-aec42e331416@HIDDEN>
 <YS0xX3MH0xUD0O/o@HIDDEN>
From: Alexander Huntley <huntley.alexander@HIDDEN>
Message-ID: <a7c632d9-2c2f-d437-4df5-96d036e11a6f@HIDDEN>
Date: Mon, 30 Aug 2021 22:36:37 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.10.1
MIME-Version: 1.0
In-Reply-To: <YS0xX3MH0xUD0O/o@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 50269
Cc: 50269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)


> It's not practical to do in the current X/GTK terminal code. Emacs
> doesn't actually use the GTK event system, so it would have to be
> added from scratch.
>
> Once PGTK is merged it should be able to provide this sort of thing
> much more easily.
Sounds promising! Is there any idea when that will happen?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50269; Package emacs. Full text available.

Message received at 50269 <at> debbugs.gnu.org:


Received: (at 50269) by debbugs.gnu.org; 30 Aug 2021 21:26:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 17:26:56 2021
Received: from localhost ([127.0.0.1]:60492 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKonv-0008Hp-QD
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 17:26:55 -0400
Received: from mail-wm1-f52.google.com ([209.85.128.52]:41847)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <huntley.alexander@HIDDEN>) id 1mKons-0008Hb-V1
 for 50269 <at> debbugs.gnu.org; Mon, 30 Aug 2021 17:26:54 -0400
Received: by mail-wm1-f52.google.com with SMTP id
 c129-20020a1c35870000b02902e6b6135279so966042wma.0
 for <50269 <at> debbugs.gnu.org>; Mon, 30 Aug 2021 14:26:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:references:from:cc:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding:content-language;
 bh=lOsZFGXyCeMWvwSxUtc3OLmZQa5eccKgWN5HrsKzmBI=;
 b=r4c2buoE2c29eEGTCSUWWFUZKYQuhI5Vouw97w8n5QYXFL8oYll6TjwoSfB6sCrEyS
 K9j1OhZ6PaFmxJITIKRYVViB3jPtAqnfvlVme5P+scATrWw8UMMoOjzrazI+LasMoMqL
 Shfd/34Hbo2c9bObOwdGtApAiFuF4s9mwlVWJwYABgANYXhX1ejGf6lN12Ann/Ne2+Zw
 34/OnpYaYx0FLA+bUQxCMj9yvhR1nvV5NivTWjLF3S7UDAhCtOVwNEqeWi5cP4RBdJES
 Ls8lmuKR8qm1hfLFfJSwb9ukJSKgGsi+aoh9Xtd1GGyaKKmKh/HQ3ubRB/zX3nZ7Gk/s
 YwjQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:cc:message-id:date
 :user-agent:mime-version:in-reply-to:content-transfer-encoding
 :content-language;
 bh=lOsZFGXyCeMWvwSxUtc3OLmZQa5eccKgWN5HrsKzmBI=;
 b=InAe9RH/2LIK37kR86XWWIHz1hwqj+65/m4PUTuHGh3W+y3URhFdphDJbb+R2BFMxi
 21dQuTQ6gBS/NgwvL3dnBQMZp47pgApKI5+bwW1xWjdOvio3jlzuPwHTL4tGYTXQZIXp
 IZ2YHyNHJvIELzcj8eno8zhk/EKwEMa8ovI7hm6PByyl++3kdPv2zLrNsN4Ls7waPWIY
 94aSKgTMvMLVGRsz6/r5WfxN4SHbfpM1vuzCVB2a0tMr/UF8nIGGbxTr7ft4gGQ0lNi0
 GpD+2F9cO/MHko+XZ7xfqL4ZKaODcqqzgJgHCLLm1Q3Sb17QJov07EBRM4HsnwDmz/f8
 GQEA==
X-Gm-Message-State: AOAM531cG1HUgVtb6Z112cQM3O9CDZHEGbo+hjClG0pzU0gl5yaFwhJW
 hv345wZoDGDRnC7nwHNAS6IoBSd9g5UtlA==
X-Google-Smtp-Source: ABdhPJxGracFACxWZG3A78NemhdnY/HRYbmzo/FkOxtMKTYbqU/BOgSmrfotiBDaPuqmh0zqeQ2ttg==
X-Received: by 2002:a1c:ed0a:: with SMTP id l10mr937410wmh.140.1630358806739; 
 Mon, 30 Aug 2021 14:26:46 -0700 (PDT)
Received: from ?IPv6:2a00:23c6:1c03:8200:59a:fc7b:71d1:dfd7?
 ([2a00:23c6:1c03:8200:59a:fc7b:71d1:dfd7])
 by smtp.gmail.com with ESMTPSA id n14sm16086826wrx.10.2021.08.30.14.26.45
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 30 Aug 2021 14:26:46 -0700 (PDT)
Subject: Re: bug#50269: 27.2; Request: use GTK continuous scroll events for
 smooth touchpad scrolling
To: Eli Zaretskii <eliz@HIDDEN>
References: <c941a5a7-59d8-ad89-d9ae-aec42e331416@HIDDEN>
 <83ilznj57n.fsf@HIDDEN> <c74b433d-7ae5-4d1d-06ad-822bacc8a64a@HIDDEN>
 <83a6kykc7p.fsf@HIDDEN> <58354f61-70c9-0098-226b-cd086efea1f5@HIDDEN>
 <837dg2kanc.fsf@HIDDEN>
From: Alexander Huntley <huntley.alexander@HIDDEN>
Message-ID: <1df288ac-476b-eee0-88bf-482736ac0823@HIDDEN>
Date: Mon, 30 Aug 2021 22:26:45 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.10.1
MIME-Version: 1.0
In-Reply-To: <837dg2kanc.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 50269
Cc: 50269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)


> We are probably having communication difficulties due to terminology
> you are using.  pixel-scroll-mode doesn't work on line granularity, it
> actually shifts the display one pixel at a time.  If you scroll by
> enough pixels so that the sum total of those pixels amounts to one
> line, pixel-scroll-mode resets the display shift offset to zero and
> scrolls the display by one full line, then it keeps shifting one pixel
> at a time.
>
> Given this description of how pixel-scroll-mode works, what exactly
> would you like to change?
>
> Or maybe looking at this from a different angle: how does the behavior
> you'd like to see differ from what pixel-scroll-mode produces?
pixel-scroll-mode may shift the display one pixel at a time, but it
also "snaps" the display to certain larger intervals, (integer numbers
of lines).

This snapping makes the scrolling jerkier than it needs to be on
touchpads.

If we could use the more precise/frequent data actually coming from
the touchpad, then the user could control the scrolling more precisely:
instead of scrolling by n lines, the user could scroll by as little
as a single pixel at a time.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50269; Package emacs. Full text available.

Message received at 50269 <at> debbugs.gnu.org:


Received: (at 50269) by debbugs.gnu.org; 30 Aug 2021 19:28:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 15:28:46 2021
Received: from localhost ([127.0.0.1]:60323 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKmxa-0006s3-0o
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 15:28:46 -0400
Received: from outbound.soverin.net ([116.202.126.228]:40237)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1mKmxV-0006rf-6Q
 for 50269 <at> debbugs.gnu.org; Mon, 30 Aug 2021 15:28:44 -0400
Received: from smtp.soverin.net (unknown [10.10.3.28])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id DE913388;
 Mon, 30 Aug 2021 19:28:34 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.142]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1630351714; bh=/rDHnweQHwbAAIpqY+TESB4JSr9ONZNNL+WxqUUZWuk=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=epdmvMRwX7ckt6lmMarEgmI3A4WDqlPkj6KWtcD7daiEkr+ACj9YFZyc9+bmnsl6Q
 cYBIHYxyUOCIK5HApxpGe/aZNcbSfB/ZEzcx9IVRIPm3HsWG/EVrhqUWVhp3nm54Ci
 N8zH7MdN90ouek50CZUOkr7gttjcPUp07oNyqYxNw7v/VjSLiBFjYnDhSH8WBRQLTT
 rFMKKGJLMEmvHEXdSFGE4Wvl8CT1yimzUwWzrHIMWrjjYTWli+XAqL9gHm3Oz4tz6Z
 /9q27bUWfgwVI2rwCrUx2hbyfuvJjVom0vKuBiJsYLXempZ5KWW8w/wJWmH4uiZnrs
 8+lYChlRYIvtw==
Received: from alan by faroe.holly.idiocy.org with local (Exim 4.94.2)
 (envelope-from <alan@HIDDEN>)
 id 1mKmxL-00165P-Jn; Mon, 30 Aug 2021 20:28:31 +0100
Date: Mon, 30 Aug 2021 20:28:31 +0100
From: Alan Third <alan@HIDDEN>
To: Alexander Huntley <huntley.alexander@HIDDEN>
Subject: Re: bug#50269: 27.2; Request: use GTK continuous scroll events for
 smooth touchpad scrolling
Message-ID: <YS0xX3MH0xUD0O/o@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Alexander Huntley <huntley.alexander@HIDDEN>,
 50269 <at> debbugs.gnu.org
References: <c941a5a7-59d8-ad89-d9ae-aec42e331416@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <c941a5a7-59d8-ad89-d9ae-aec42e331416@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50269
Cc: 50269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Mon, Aug 30, 2021 at 02:35:19PM +0100, Alexander Huntley wrote:
> When using a laptop touchpad, native GTK applications use continuous
> scroll events to give much smoother scrolling, whereas Emacs simply
> emulates the discrete scrolling events of a mouse scroll wheel. This
> makes touchpad scrolling under Emacs feel much less natural than many
> other Linux applications.
> 
> Would it be possible to expose these events to elisp and hence get nice
> pixel-perfect scrolling in Emacs?

It's not practical to do in the current X/GTK terminal code. Emacs
doesn't actually use the GTK event system, so it would have to be
added from scratch.

Once PGTK is merged it should be able to provide this sort of thing
much more easily.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50269; Package emacs. Full text available.

Message received at 50269 <at> debbugs.gnu.org:


Received: (at 50269) by debbugs.gnu.org; 30 Aug 2021 19:14:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 15:14:46 2021
Received: from localhost ([127.0.0.1]:60309 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKmk2-0006SD-Id
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 15:14:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35986)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mKmk1-0006S0-PW
 for 50269 <at> debbugs.gnu.org; Mon, 30 Aug 2021 15:14:46 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58372)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mKmjw-0004PE-K3; Mon, 30 Aug 2021 15:14:40 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3150
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mKmjw-0000KW-79; Mon, 30 Aug 2021 15:14:40 -0400
Date: Mon, 30 Aug 2021 22:14:31 +0300
Message-Id: <837dg2kanc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alexander Huntley <huntley.alexander@HIDDEN>
In-Reply-To: <58354f61-70c9-0098-226b-cd086efea1f5@HIDDEN> (message from
 Alexander Huntley on Mon, 30 Aug 2021 20:02:00 +0100)
Subject: Re: bug#50269: 27.2; Request: use GTK continuous scroll events for
 smooth touchpad scrolling
References: <c941a5a7-59d8-ad89-d9ae-aec42e331416@HIDDEN>
 <83ilznj57n.fsf@HIDDEN> <c74b433d-7ae5-4d1d-06ad-822bacc8a64a@HIDDEN>
 <83a6kykc7p.fsf@HIDDEN> <58354f61-70c9-0098-226b-cd086efea1f5@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50269
Cc: 50269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Alexander Huntley <huntley.alexander@HIDDEN>
> Cc: 50269 <at> debbugs.gnu.org
> Date: Mon, 30 Aug 2021 20:02:00 +0100
> 
> > Then I don't think I understand what you'd like Emacs to do in this
> > case, and how would that be different from pixel-scroll-mode.  Please
> > tell more.
> Modern touchpads offer more precision than scroll wheels, so it is possible
> (e.g. in Firefox, using libinput drivers) to make the view scroll by
> just 1 or 2 pixels using small movements. As a result, the scrolling
> corresponds closely to the hand movement on the trackpad. This feels
> good (like scrolling on a touchscreen).
> 
> Emacs (because it ignores this higher-precision scrolling data) basically
> quantizes the available scroll positions, which ought to be continuous.
> This makes scrolling on Emacs feel more abrupt than in other apps.
> 
> pixel-scroll-mode does not fix this; it just provides an animation between
> scroll positions. The available positions remain quantized at line
> boundaries.

We are probably having communication difficulties due to terminology
you are using.  pixel-scroll-mode doesn't work on line granularity, it
actually shifts the display one pixel at a time.  If you scroll by
enough pixels so that the sum total of those pixels amounts to one
line, pixel-scroll-mode resets the display shift offset to zero and
scrolls the display by one full line, then it keeps shifting one pixel
at a time.

Given this description of how pixel-scroll-mode works, what exactly
would you like to change?

Or maybe looking at this from a different angle: how does the behavior
you'd like to see differ from what pixel-scroll-mode produces?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50269; Package emacs. Full text available.

Message received at 50269 <at> debbugs.gnu.org:


Received: (at 50269) by debbugs.gnu.org; 30 Aug 2021 19:02:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 15:02:11 2021
Received: from localhost ([127.0.0.1]:60270 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKmXr-000646-4x
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 15:02:11 -0400
Received: from mail-wr1-f46.google.com ([209.85.221.46]:39843)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <huntley.alexander@HIDDEN>) id 1mKmXp-00063t-AG
 for 50269 <at> debbugs.gnu.org; Mon, 30 Aug 2021 15:02:09 -0400
Received: by mail-wr1-f46.google.com with SMTP id z4so23868244wrr.6
 for <50269 <at> debbugs.gnu.org>; Mon, 30 Aug 2021 12:02:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:references:from:cc:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding:content-language;
 bh=+CvGp+lEufHyogJzMCLWKsZT5k5Ur1+EamSXedr1ipI=;
 b=kD165uIKXMrZBrcrF2vP1M82vs4SFLrkvH8EqR0SSJkAjUNdtiUAwc8g1Ok6/3x/Jv
 Qk8hg9Sna3upjWU80YgQk2ys4Auyoc7e6W64nQllOUMqMO0TqbCiI2lWy9eeKEzVvRqg
 /K8HWhseBUKUBxttiOOK4WHYkTLAorQQttYsS3r+Lp9dA6etoBBD19QNxy0Q7dYxD9th
 SFWnCw6DUGn6XikSXlC2FDIPMyksCAq9vztgPkscNfMJAHHwMlhIkO5ApVE58Z5p8CBj
 FglRGtbgZEylDll4yLkisdB1O0KOdV3+riruYWyE4gugsRAkYP8Vixo9J5sP74whr7b/
 +D7A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:cc:message-id:date
 :user-agent:mime-version:in-reply-to:content-transfer-encoding
 :content-language;
 bh=+CvGp+lEufHyogJzMCLWKsZT5k5Ur1+EamSXedr1ipI=;
 b=gANrxcGkqiG7aLwh5Z3fmWqjwDsO9e5fnI8ez3cOgzt09EPFCB8H60U5wMK4cYzTD3
 D1ik5W3SzdQ6BICxp0nJ/A69scUUgP3iFqvuFFIX0FgjY7NdNXQficurX1EDnPyXFvKB
 NLm+VRPeyht3NZ/38JHeFmsuBhMaOSxnlrjxnhX1VaNqjuXujn1yEj2ThX7PLPew1wOY
 vYp/oq31qGHmiySTKwf2kTJTiSOr/zPNVmHrJrR+qReaI3byBkI6dpKv8tpRj49aA1iO
 oHCZoJZNDG0h4JHE56UP1wfNOkxL+/4OcT4Y6qvFQ3VbBT8yQqPQ+ic/SoAXntsRJewH
 hKXg==
X-Gm-Message-State: AOAM533W4tUMiYiiC8wnWky4isb42NKkYvOMyrkxdvpNbFDDbpTEf0HF
 xcvlIjEa1y9zQwnz9qGD/RLjt7s0/c9tEw==
X-Google-Smtp-Source: ABdhPJySSYeOzk05Hvz+ygTvgnPkV5c5SsiNhplBhdAtTOQLFbVYS9ruEQrLe/FRxc4DoRMFaUX/pA==
X-Received: by 2002:adf:e910:: with SMTP id f16mr27592594wrm.393.1630350123059; 
 Mon, 30 Aug 2021 12:02:03 -0700 (PDT)
Received: from ?IPv6:2a00:23c6:1c03:8200:59a:fc7b:71d1:dfd7?
 ([2a00:23c6:1c03:8200:59a:fc7b:71d1:dfd7])
 by smtp.gmail.com with ESMTPSA id w9sm314428wmc.19.2021.08.30.12.02.02
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 30 Aug 2021 12:02:02 -0700 (PDT)
Subject: Re: bug#50269: 27.2; Request: use GTK continuous scroll events for
 smooth touchpad scrolling
To: Eli Zaretskii <eliz@HIDDEN>
References: <c941a5a7-59d8-ad89-d9ae-aec42e331416@HIDDEN>
 <83ilznj57n.fsf@HIDDEN> <c74b433d-7ae5-4d1d-06ad-822bacc8a64a@HIDDEN>
 <83a6kykc7p.fsf@HIDDEN>
From: Alexander Huntley <huntley.alexander@HIDDEN>
Message-ID: <58354f61-70c9-0098-226b-cd086efea1f5@HIDDEN>
Date: Mon, 30 Aug 2021 20:02:00 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.10.1
MIME-Version: 1.0
In-Reply-To: <83a6kykc7p.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 50269
Cc: 50269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

> Then I don't think I understand what you'd like Emacs to do in this
> case, and how would that be different from pixel-scroll-mode.  Please
> tell more.
Modern touchpads offer more precision than scroll wheels, so it is possible
(e.g. in Firefox, using libinput drivers) to make the view scroll by
just 1 or 2 pixels using small movements. As a result, the scrolling
corresponds closely to the hand movement on the trackpad. This feels
good (like scrolling on a touchscreen).

Emacs (because it ignores this higher-precision scrolling data) basically
quantizes the available scroll positions, which ought to be continuous.
This makes scrolling on Emacs feel more abrupt than in other apps.

pixel-scroll-mode does not fix this; it just provides an animation between
scroll positions. The available positions remain quantized at line
boundaries.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50269; Package emacs. Full text available.

Message received at 50269 <at> debbugs.gnu.org:


Received: (at 50269) by debbugs.gnu.org; 30 Aug 2021 18:40:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 14:40:59 2021
Received: from localhost ([127.0.0.1]:60254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKmDK-0005RL-S3
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 14:40:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56048)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mKmDI-0005R8-Q1
 for 50269 <at> debbugs.gnu.org; Mon, 30 Aug 2021 14:40:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57482)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mKmDC-0006UU-26; Mon, 30 Aug 2021 14:40:51 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1091
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mKmDB-0008OV-Pv; Mon, 30 Aug 2021 14:40:49 -0400
Date: Mon, 30 Aug 2021 21:40:42 +0300
Message-Id: <83a6kykc7p.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alexander Huntley <huntley.alexander@HIDDEN>
In-Reply-To: <c74b433d-7ae5-4d1d-06ad-822bacc8a64a@HIDDEN> (message from
 Alexander Huntley on Mon, 30 Aug 2021 19:37:26 +0100)
Subject: Re: bug#50269: 27.2; Request: use GTK continuous scroll events for
 smooth touchpad scrolling
References: <c941a5a7-59d8-ad89-d9ae-aec42e331416@HIDDEN>
 <83ilznj57n.fsf@HIDDEN> <c74b433d-7ae5-4d1d-06ad-822bacc8a64a@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50269
Cc: 50269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Alexander Huntley <huntley.alexander@HIDDEN>
> Cc: 50269 <at> debbugs.gnu.org
> Date: Mon, 30 Aug 2021 19:37:26 +0100
> 
> > Did you try "M-x pixel-scroll-mode RET"?  It isn't perfect, but maybe
> > it's "good enough" for your needs?
> 
> Yes I have, as well as good-scroll.el; they're both great improvements,
> especially for a mouse, but still don't quite feel as good as the scrolling
> in Firefox or Gedit.
> 
> Obviously it's not a deal-breaker, but it would make Emacs feel more 
> polished
> and modern.

Then I don't think I understand what you'd like Emacs to do in this
case, and how would that be different from pixel-scroll-mode.  Please
tell more.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50269; Package emacs. Full text available.

Message received at 50269 <at> debbugs.gnu.org:


Received: (at 50269) by debbugs.gnu.org; 30 Aug 2021 18:37:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 14:37:41 2021
Received: from localhost ([127.0.0.1]:60247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKmA9-0005LK-33
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 14:37:41 -0400
Received: from mail-wm1-f48.google.com ([209.85.128.48]:40871)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <huntley.alexander@HIDDEN>) id 1mKmA4-0005Kw-EG
 for 50269 <at> debbugs.gnu.org; Mon, 30 Aug 2021 14:37:39 -0400
Received: by mail-wm1-f48.google.com with SMTP id
 x2-20020a1c7c02000000b002e6f1f69a1eso88057wmc.5
 for <50269 <at> debbugs.gnu.org>; Mon, 30 Aug 2021 11:37:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:references:from:cc:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding:content-language;
 bh=y/bxsSA/MmJQUdKAK8cZySwcmjV9g4187ZjlgSvdYjU=;
 b=jNCKAOE9zBxm7+nDko+r7/9GVMABmGMpZYdSy1Jr5adgX0Vk2fpRNCjEmsW6eh/VGp
 QlUNEryj5r6ZQOtVF2mKTIzkaW4okDxLaaZ4Ns2ctdBFJkpFfYM89xW8dvoOgnDP1uIM
 WmSuYMuVobWM84VN5+v2wN+7Va0DE0vyXNVEktQl9i6OMGesV1OJsSO6dElNlXwOdIS4
 CE50Af13qOFI7ggtQ1ZDh6mwoZ6JI2KCUnHdRcQCmajkFkzdaM0e/tMlFrAr1mLDLufs
 sLiuBkbVo8kAFsTI/YU2LdjEjvHXbkanjiUBrEdKOo4r+DhaoZ2pvYvzmYi0etcMH9yi
 kFRA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:references:from:cc:message-id:date
 :user-agent:mime-version:in-reply-to:content-transfer-encoding
 :content-language;
 bh=y/bxsSA/MmJQUdKAK8cZySwcmjV9g4187ZjlgSvdYjU=;
 b=f+hflTVJzBz8zCIT7Vpp90zJUMM4ZSBiyL/YtQD+ytXKuMDpoxHECXBivEp186Ssjp
 YNLP8NuXsjlWUCZWi29bK+l8M6GMQRD0jwT63RnaawEtr2vKa2+zT5sRt1NY7P9FtyRr
 K2uyygZDfpEwR0zDFjkUiFWtugX6nDrGSJEii6rLuYT3zSRt94g6kP74Q7h/zrq0+YqO
 6kvORf3c3hfYksQkxxk7/uvXuub5tZB3lZUf/mk68IF5E55xxe5ex381UyDe3cTIXhZ4
 70AUg+koOJfVqNQ08Twz8au7wX9nhoqWWEBcmzMBq1X+ncFhHglbZQlujdFjedmkGaa9
 vJwA==
X-Gm-Message-State: AOAM530yGHWQ4vYNtyFT260ARgG+3rDGLESUDQ1Q6pMN89u0jvh/Ic9F
 j7fP8hwU2lM78jNUFZGTeF0XN/u+ooowmA==
X-Google-Smtp-Source: ABdhPJxtb7DCSGqe1W0SdIdO1hDqCyFlRG6js0sQxXU5SIF0m9iHdq/Z3JbVgikSTsi8/suAR3J8fw==
X-Received: by 2002:a05:600c:4786:: with SMTP id
 k6mr370507wmo.177.1630348650256; 
 Mon, 30 Aug 2021 11:37:30 -0700 (PDT)
Received: from ?IPv6:2a00:23c6:1c03:8200:59a:fc7b:71d1:dfd7?
 ([2a00:23c6:1c03:8200:59a:fc7b:71d1:dfd7])
 by smtp.gmail.com with ESMTPSA id c14sm281082wme.6.2021.08.30.11.37.29
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 30 Aug 2021 11:37:29 -0700 (PDT)
Subject: Re: bug#50269: 27.2; Request: use GTK continuous scroll events for
 smooth touchpad scrolling
To: Eli Zaretskii <eliz@HIDDEN>
References: <c941a5a7-59d8-ad89-d9ae-aec42e331416@HIDDEN>
 <83ilznj57n.fsf@HIDDEN>
From: Alexander Huntley <huntley.alexander@HIDDEN>
Message-ID: <c74b433d-7ae5-4d1d-06ad-822bacc8a64a@HIDDEN>
Date: Mon, 30 Aug 2021 19:37:26 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.10.1
MIME-Version: 1.0
In-Reply-To: <83ilznj57n.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 50269
Cc: 50269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

> Did you try "M-x pixel-scroll-mode RET"?  It isn't perfect, but maybe
> it's "good enough" for your needs?

Yes I have, as well as good-scroll.el; they're both great improvements,
especially for a mouse, but still don't quite feel as good as the scrolling
in Firefox or Gedit.

Obviously it's not a deal-breaker, but it would make Emacs feel more 
polished
and modern.

If I wanted to work on this, do you know where I could start? I'm currently
unfamiliar with the Emacs codebase.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50269; Package emacs. Full text available.

Message received at 50269 <at> debbugs.gnu.org:


Received: (at 50269) by debbugs.gnu.org; 30 Aug 2021 15:57:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 11:57:32 2021
Received: from localhost ([127.0.0.1]:60024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKjf9-0000Tr-U5
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 11:57:32 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53250)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mKjf8-0000Td-Fd
 for 50269 <at> debbugs.gnu.org; Mon, 30 Aug 2021 11:57:31 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:51592)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mKjf3-0007Kx-7e; Mon, 30 Aug 2021 11:57:25 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2961
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mKjf1-0005VD-T1; Mon, 30 Aug 2021 11:57:25 -0400
Date: Mon, 30 Aug 2021 18:57:16 +0300
Message-Id: <83ilznj57n.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Alexander Huntley <huntley.alexander@HIDDEN>
In-Reply-To: <c941a5a7-59d8-ad89-d9ae-aec42e331416@HIDDEN> (message from
 Alexander Huntley on Mon, 30 Aug 2021 14:35:19 +0100)
Subject: Re: bug#50269: 27.2;
 Request: use GTK continuous scroll events for smooth touchpad
 scrolling
References: <c941a5a7-59d8-ad89-d9ae-aec42e331416@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50269
Cc: 50269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Alexander Huntley <huntley.alexander@HIDDEN>
> Date: Mon, 30 Aug 2021 14:35:19 +0100
> 
> When using a laptop touchpad, native GTK applications use continuous
> scroll events to give much smoother scrolling, whereas Emacs simply
> emulates the discrete scrolling events of a mouse scroll wheel. This
> makes touchpad scrolling under Emacs feel much less natural than many
> other Linux applications.
> 
> Would it be possible to expose these events to elisp and hence get nice
> pixel-perfect scrolling in Emacs?

Did you try "M-x pixel-scroll-mode RET"?  It isn't perfect, but maybe
it's "good enough" for your needs?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50269; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Aug 2021 14:56:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 30 10:56:56 2021
Received: from localhost ([127.0.0.1]:59967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKiiV-00078I-2o
	for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 10:56:56 -0400
Received: from lists.gnu.org ([209.51.188.17]:51964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <huntley.alexander@HIDDEN>) id 1mKhRf-00041L-D8
 for submit <at> debbugs.gnu.org; Mon, 30 Aug 2021 09:35:29 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39216)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <huntley.alexander@HIDDEN>)
 id 1mKhRf-0000WT-1x
 for bug-gnu-emacs@HIDDEN; Mon, 30 Aug 2021 09:35:27 -0400
Received: from mail-wr1-x436.google.com ([2a00:1450:4864:20::436]:44866)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <huntley.alexander@HIDDEN>)
 id 1mKhRd-00063e-AH
 for bug-gnu-emacs@HIDDEN; Mon, 30 Aug 2021 09:35:26 -0400
Received: by mail-wr1-x436.google.com with SMTP id g18so14981191wrc.11
 for <bug-gnu-emacs@HIDDEN>; Mon, 30 Aug 2021 06:35:22 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:subject:message-id:date:user-agent:mime-version
 :content-transfer-encoding:content-language;
 bh=JC7JmzgM+rQNcV637j+cHzAznLD2WeSKUdRXB12D2tQ=;
 b=ikmlEJ1HQxZP2YI1P8TW1jv6T+7/QnOGsvlBzL5mdxhmpnZx4Au0+b66GrqEpl4n65
 rTqpEvvN2XDrainFD2pcgVhiRavYOE8lCr5ueMKGX7WpzAyDQqmFXekpxfx/1P8aWVM0
 QlyvwcrhJGndZKDCPV5/IkME+YSNjEzY1L2tIvx9Zv8QPzjGSy9kf/VHvyToaD05YsLs
 cwHRzNsVZngU5EqBvhFMipjIp1MU2vLwtNmfDmgBSYyG0WLwj+zP2y5TE069IiyuZO8P
 vvZ/u/5HudV/F3pWP8WUdqektXjVYtqyciFi2ILIkRrIr8PCk4eR8BjnA8fx1Fn3Es6b
 CooQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:subject:message-id:date:user-agent
 :mime-version:content-transfer-encoding:content-language;
 bh=JC7JmzgM+rQNcV637j+cHzAznLD2WeSKUdRXB12D2tQ=;
 b=o3MOBQT0GKhbR9/095x5TsXjGnsEVRmW8dxFHZAtRe9PtRLT69mCqtxg0dBruMP/Bs
 Bftx/Tgf7cXwXBZb8uMOmN+mRJQuUhuSYJQU5XtrwuOrQWJqNATziDOwnpBsvuuAAeUS
 dK8W8bS2xY9DQGmsUEBwqkZiYqJmqjOICuaypjA5zAErfoBHQgei0EY7qMXubhL0hJbV
 Iy9Sh3pd3aTFX2/V/mcWLqESGc/gSCCsLhw3XK9yiTsZVsY+jA0HzKTe6O0faeJrmOO+
 uWL5eDJNue2CVm6KBEeDjdYeZ7JRn5+f2CWE/+mIG5+rtFcecjxSl1ZNIb2NY90oHc6m
 Djww==
X-Gm-Message-State: AOAM530vtsSPO8bAm6xiVRZlqTkmuxgmmcjjACH69YWbGfqU7JlY1eLq
 CbtXd4OclhFMT7oRqjN2ZTSO+5r48SMz6Q==
X-Google-Smtp-Source: ABdhPJw8HSclxb2ZKD8XUBFcWnVUniU61VqECA5lC6afJuOiOmyp84cwW8Y8zJB0lgwuOOcmHD764A==
X-Received: by 2002:adf:82b1:: with SMTP id 46mr25651059wrc.217.1630330521680; 
 Mon, 30 Aug 2021 06:35:21 -0700 (PDT)
Received: from ?IPv6:2a00:23c6:1c03:8200:59a:fc7b:71d1:dfd7?
 ([2a00:23c6:1c03:8200:59a:fc7b:71d1:dfd7])
 by smtp.gmail.com with ESMTPSA id i17sm14810035wrc.38.2021.08.30.06.35.21
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 30 Aug 2021 06:35:21 -0700 (PDT)
To: bug-gnu-emacs@HIDDEN
From: Alexander Huntley <huntley.alexander@HIDDEN>
Subject: 27.2; Request: use GTK continuous scroll events for smooth touchpad
 scrolling
Message-ID: <c941a5a7-59d8-ad89-d9ae-aec42e331416@HIDDEN>
Date: Mon, 30 Aug 2021 14:35:19 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.10.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 8bit
Content-Language: en-US
Received-SPF: pass client-ip=2a00:1450:4864:20::436;
 envelope-from=huntley.alexander@HIDDEN; helo=mail-wr1-x436.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 30 Aug 2021 10:56:53 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

When using a laptop touchpad, native GTK applications use continuous
scroll events to give much smoother scrolling, whereas Emacs simply
emulates the discrete scrolling events of a mouse scroll wheel. This
makes touchpad scrolling under Emacs feel much less natural than many
other Linux applications.

Would it be possible to expose these events to elisp and hence get nice
pixel-perfect scrolling in Emacs?

Thanks!
Alex Huntley


In GNU Emacs 27.2 (build 1, x86_64-redhat-linux-gnu, GTK+ Version 
3.24.30, cairo version 1.17.4)
  of 2021-08-07 built on buildvm-x86-29.iad2.fedoraproject.org
Windowing system distributor 'The X.Org Foundation', version 11.0.12101002
System Description: Fedora 34 (Workstation Edition)





Acknowledgement sent to Alexander Huntley <huntley.alexander@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50269; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 1 Sep 2021 14:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.